application: designer-app
version: 5
api_version: 1
runtime: python

handlers:

- url: /robots.txt
  static_files: applications/init/static/robots.txt
  upload: applications/init/static/robots.txt

- url: /favicon.ico
  static_files: applications/init/static/favicon.ico
  upload: applications/init/static/robots.txt

- url: /(.+)/static/designer/db/(.+)/(.+).xsl
  static_files: applications/\1/static/designer/db/\2/\3.xsl
  upload: applications/(.+)/static/designer/db/(.+)/(.+).xsl
  mime_type: application/xml
  secure: optional



- url: /(?P<a>.+?)/static/(?P<b>.+)
  static_files: applications/\1/static/\2
  upload: applications/(.+?)/static/(.+)
  secure: optional

- url: /admin-gae/.*
  script: $PYTHON_LIB/google/appengine/ext/admin
  login: admin

- url: .*
  script: gaehandler.py  
  secure: optional

skip_files: |
 ^(.*/)?(
 (app\.yaml)|
 (app\.yml)|
 (index\.yaml)|
 (index\.yml)|
 (#.*#)|
 (.*~)|
 (.*\.py[co])|
 (.*/RCS/.*)|
 (\..*)|
 ((admin|examples|welcome)\.tar)|
 (applications/(admin|examples)/.*)|
 (applications/.*/databases/.*) |
 )$
